# flatpak document-export

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak document-export
1

# flatpak-document-export

Export a file to a sandboxed application

                    flatpak document-export
                    OPTION
                    FILE

## Description

Creates a document id for a local file that can be exposed to sandboxed applications, allowing them access to files that they would not otherwise see. The exported files are exposed in a fuse filesystem at `/run/user/$UID/doc/`.

This command also lets you modify the per-application permissions of the documents, granting or revoking access to the file on a per-application basis.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`-u`
`--unique`

  Don't reuse an existing document id for the file. This makes it safe to later remove the document when you're finished with it.

`-t`
`--transient`

  The document will only exist for the length of the session. This is useful for temporary grants.

`-n`
`--noexist`

  Don't require the file to exist already.

`-a`
`--app=APPID`

  Grant read access to the specified application. The `--allow` and `--forbid` options can be used to grant or remove additional privileges. This option can be used multiple times.

`-r`
`--allow-read`

  Grant read access to the applications specified with `--app`. This defaults to TRUE.

`--forbid-read`

  Revoke read access for the applications specified with `--app`.

`-w`
`--allow-write`

  Grant write access to the applications specified with `--app`.

`--forbid-write`

  Revoke write access for the applications specified with `--app`.

`-d`
`--allow-delete`

  Grant the ability to remove the document from the document portal to the applications specified with `--app`.

`--forbid-delete`

  Revoke the ability to remove the document from the document portal from the applications specified with `--app`.

`-g`
`--allow-grant-permission`

  Grant the ability to grant further permissions to the applications specified with `--app`.

`--forbid-grant-permission`

  Revoke the ability to grant further permissions for the applications specified with `--app`.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

## Examples

`$ flatpak document-export --app=org.gnome.gedit ~/test.txt`

    /run/user/1000/doc/e52f9c6a/test.txt

## See also

flatpak 1, flatpak-document-unexport 1, flatpak-document-info 1, flatpak-documents 1